ru.bitel.bgbilling.plugins.fias.common.service

## Interface FiasService

-     public interface FiasService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Result<ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.City>` | `getRegionCity(java.lang.String regionId, java.lang.String cityTitle)` Получиь город для региона
    `Result<Region>` | `getRegions()` Возвращает список доступных для загрузки регионов.
    `StartData` | `getStartData()` Получиь данные для старта синхронизации
    `java.lang.String` | `loadAllStreet(ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.City city)` Загрузить оставшиеся улицы
    `java.lang.String` | `loadRegion(java.lang.String regionId)` Грузит регион
    `Result<ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.Street>` | `startSync(java.lang.String regionId, ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.City city, boolean newLoad)` Начать синхронизацию
    `Result<ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.Street>` | `streetSync(int cityId, ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.Street street)` продолжить синхронизацию

- - ### Method Detail

    - #### getRegions

          Result<Region> getRegions()
                             throws ru.bitel.bgbilling.common.BGMessageException,
                                    ru.bitel.bgbilling.common.BGException

      Возвращает список доступных для загрузки регионов.
      Returns:
        - список доступных для загрузки регионов.
      Throws:
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGException`

    - #### loadRegion

          java.lang.String loadRegion(java.lang.String regionId)
                               throws ru.bitel.bgbilling.common.BGMessageException,
                                      ru.bitel.bgbilling.common.BGException

      Грузит регион
      Parameters:
        `regionId` - - id региона
      Returns:
        - лог загрузки в виде списка строк
      Throws:
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGException`

    - #### getStartData

          StartData getStartData()
                          throws ru.bitel.bgbilling.common.BGMessageException,
                                 ru.bitel.bgbilling.common.BGException

      Получиь данные для старта синхронизации
      Throws:
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGException`

    - #### getRegionCity

          Result<ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.City> getRegionCity(java.lang.String regionId,
                                                                                        java.lang.String cityTitle)
                                                                                 throws ru.bitel.bgbilling.common.BGMessageException,
                                                                                        ru.bitel.bgbilling.common.BGException

      Получиь город для региона
      Throws:
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGException`

    - #### streetSync

          Result<ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.Street> streetSync(int cityId,
                                                                                       ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.Street street)
                                                                                throws ru.bitel.bgbilling.common.BGMessageException,
                                                                                       ru.bitel.bgbilling.common.BGException

      продолжить синхронизацию
      Throws:
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGException`

    - #### startSync

          Result<ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.Street> startSync(java.lang.String regionId,
                                                                                      ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.City city,
                                                                                      boolean newLoad)
                                                                               throws ru.bitel.bgbilling.common.BGMessageException,
                                                                                      ru.bitel.bgbilling.common.BGException

      Начать синхронизацию
      Throws:
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGException`

    - #### loadAllStreet

          java.lang.String loadAllStreet(ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.City city)
                                  throws ru.bitel.bgbilling.common.BGMessageException,
                                         ru.bitel.bgbilling.common.BGException

      Загрузить оставшиеся улицы
      Throws:
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGException`